{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% block nav-proyecto %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}
{% block content %}

    {% if form.errors %}
        <div class="alert alert-danger" role="alert">
            ERROR AL GUARDAR
        </div>
    {% endif %}

    <div class="container mb-5">
        <div class="py-5 text-center ">
            <h1 class="text-light"> Crear Nuevo Sprint </h1>
        </div>
        <div id="cantSprintPendientes" class="alert alert-warning d-flex align-items-center m-2" role="alert">
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Warning:">
                <use xlink:href="#exclamation-triangle-fill"/>
            </svg>
            <div>
                Ya cuenta con un Sprint pendiente
            </div>
        </div>
        <div id="idAlertaRangoFecha" style="display: none;">
            <div class="alert alert-warning d-flex align-items-center" role="alert">
                <svg class="bi flex-shrink-0 me-2 m-3" width="24" height="24" role="img" aria-label="Warning:">
                    <use xlink:href="#exclamation-triangle-fill"></use>
                </svg>
                <div>
                    Advertencia : Rango de fecha invalida
                </div>
            </div>
        </div>

        <!-- escribir aqui -->
        <div class="bg-light border rounded border-dark p-3">

            <form method="POST">
                {% csrf_token %}
                {{ formSprint|crispy }}
                <button id="btnIniciarSprint" type="submit"
                        class="btn btn-primary {% if cantSprintPend > 0 %} disabled {% endif %}">
                    Guardar
                </button>
                <a class="btn btn-secondary" href="{% url 'Proyecto:ListarSprint' idProyecto %}"
                   role="button">Cancelar</a>
            </form>
        </div>


    </div>

    <script>

        // Función externa para calcular si le alcanza el tiempo
        function calcularFecha() {
            if (document.getElementById('id_fechaInicio').value != null && document.getElementById('id_fechaFin').value != null) {
                // traemos obtenemos las fechas
                var fechaini = new Date($("#id_fechaInicio").val() + "T00:00:00");
                var fechafin = new Date($("#id_fechaFin").val() + "T00:00:00");
                var dia = 0;
                var mes = 0;
                var ano = 0;
                {% if ultimoSprint.fechaFin %}
                    var dia = {{ ultimoSprint.fechaFin.day }};
                    var mes ={{ ultimoSprint.fechaFin.month }};
                    var ano ={{ ultimoSprint.fechaFin.year }};
                {% endif%}
                if (dia < 10) dia = "0" + dia.toString();
                if (mes < 10) mes = "0" + mes.toString();
                if (ano < 10) ano = "0" + ano.toString();
                var fechaMinimo = new Date(ano + "-" + mes + "-" + dia + "T00:00:00");
                document.getElementById("btnIniciarSprint").disabled = true;
                if (fechaini <= fechaMinimo || fechafin <= fechaMinimo) {
                    document.getElementById("btnIniciarSprint").disabled = true;
                    document.getElementById("idAlertaRangoFecha").style.display = "block";
                } else {
                    if (fechafin <= fechaini) {
                        document.getElementById("btnIniciarSprint").disabled = true;
                        document.getElementById("idAlertaRangoFecha").style.display = "block";
                    } else {
                        document.getElementById("idAlertaRangoFecha").style.display = "none";
                        document.getElementById("btnIniciarSprint").disabled = false;
                    }
                }

            } else {
                console.log('Hace algo else');
            }
        }

        window.onload = function () {
            calcularFecha();
        }

        // Asignar la función externa al elemento
        document.getElementById("id_fechaInicio").onchange = calcularFecha;
        document.getElementById("id_fechaFin").onchange = calcularFecha;


        if ({{ cantSprintPend }} >
        0
        )
        {
            document.getElementById("cantSprintPendientes").style.visibility = "visible";
        }
        else
        {
            document.getElementById("cantSprintPendientes").style.visibility = "hidden";
        }


    </script>
{% endblock %}


